cURL
curl --request PUT \
--url https://api.comm.com/api/v1/hub/endpoints/{endpoint} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"username": "<string>",
"password": "<string>",
"client_company_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sms_routing_plan_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"id": "<string>",
"name": "<string>",
"default_route_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"pricing_update_email": "jsmith@example.com",
"allowed_ips": [],
"tags": [],
"tx": 1,
"rx": 1,
"trx": 1,
"is_sending_allowed": true,
"max_price": 0,
"is_max_price_enabled": false,
"min_margin": 123,
"active_connections": {
"tx": 123,
"rx": 123,
"trx": 123
}
}
'import requests
url = "https://api.comm.com/api/v1/hub/endpoints/{endpoint}"
payload = {
"username": "<string>",
"password": "<string>",
"client_company_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sms_routing_plan_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"id": "<string>",
"name": "<string>",
"default_route_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"pricing_update_email": "jsmith@example.com",
"allowed_ips": [],
"tags": [],
"tx": 1,
"rx": 1,
"trx": 1,
"is_sending_allowed": True,
"max_price": 0,
"is_max_price_enabled": False,
"min_margin": 123,
"active_connections": {
"tx": 123,
"rx": 123,
"trx": 123
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
username: '<string>',
password: '<string>',
client_company_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
sms_routing_plan_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
id: '<string>',
name: '<string>',
default_route_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
pricing_update_email: 'jsmith@example.com',
allowed_ips: [],
tags: [],
tx: 1,
rx: 1,
trx: 1,
is_sending_allowed: true,
max_price: 0,
is_max_price_enabled: false,
min_margin: 123,
active_connections: {tx: 123, rx: 123, trx: 123}
})
};
fetch('https://api.comm.com/api/v1/hub/endpoints/{endpoint}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"name": "<string>",
"username": "<string>",
"password": "<string>",
"client_company_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sms_routing_plan_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"default_route_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"pricing_update_email": "jsmith@example.com",
"allowed_ips": [],
"tags": [],
"tx": 1,
"rx": 1,
"trx": 1,
"is_sending_allowed": true,
"max_price": 0,
"is_max_price_enabled": false,
"min_margin": 123,
"active_connections": {
"tx": 123,
"rx": 123,
"trx": 123
}
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}SellerEndpoints
Put v1hubendpoints
PUT
/
v1
/
hub
/
endpoints
/
{endpoint}
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The endpoint ID
Body
application/json
SellerEndpointDataRequest
Show child attributes
Show child attributes
Response
SellerEndpointData
Show child attributes
Show child attributes
⌘I